=== src/examples/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/
  ${LOGSERVICE_SOURCE_DIR}/src/monitor
  ${LOGSERVICE_SOURCE_DIR}/src/utils
)

#########
INCLUDE_DIRECTORIES( ${LOGSERVICE_SOURCE_DIR}/src/libraries/LogToolBaseC++ )

ADD_EXECUTABLE( DIETtestTool DIETtestTool.cc )
TARGET_LINK_LIBRARIES( DIETtestTool
  LogForwarderUtils
  LogServiceToolBase
)
INSTALL( TARGETS DIETtestTool DESTINATION bin )

#########
INCLUDE_DIRECTORIES(
  ${LOGSERVICE_SOURCE_DIR}/src/libraries/LogComponentBaseC++
)
ADD_EXECUTABLE( testComponent testComponent.cc )
TARGET_LINK_LIBRARIES( testComponent
  LogForwarderUtils
  LogServiceComponentBase
)
INSTALL_TARGETS( /bin/ testComponent )
##
###########
