=== src/libraries/CMakeLists.txt ===
ADD_SUBDIRECTORY( LogComponentBaseC++ )
ADD_SUBDIRECTORY( LogToolBaseC++ )
#ADD_SUBDIRECTORY( LogComponentBaseJava )
#ADD_SUBDIRECTORY( LogToolBaseJava )
