=== src/monitor/CMakeLists.txt ===
######### First the LogServiceMonitor library:
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/utils
)


add_library(LogServiceMonitor STATIC
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/CoreThread.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogCentralComponent_impl.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogCentralTool_impl.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/LogOptions.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/ReadConfig.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/SendThread.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/SimpleFilterManager.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/StateManager.cc
  ${LOGSERVICE_SOURCE_DIR}/src/monitor/TimeBuffer.cc
)

set (binary
  ${binary}
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/CoreThread.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogCentralComponent_impl.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogCentralTool_impl.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/LogOptions.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/ReadConfig.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/SendThread.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/SimpleFilterManager.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/StateManager.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceMonitor.dir/TimeBuffer.cc.o
  PARENT_SCOPE
  )

add_dependencies (LogServiceMonitor
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)

TARGET_LINK_LIBRARIES( LogServiceMonitor
  LogServiceUtils
  LogCorba
  ${OMNIORB4_LIBRARIES}
)


######### Then the LogCentral executable:
ADD_EXECUTABLE( LogCentral LogCentral.cc )
TARGET_LINK_LIBRARIES( LogCentral
  LogForwarderUtils
)
INSTALL( TARGETS LogCentral DESTINATION bin )
