=== src/tester/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
  ${LOGSERVICE_SOURCE_DIR}/src/utils
  ${LOGSERVICE_SOURCE_DIR}/src/monitor
)

ADD_EXECUTABLE( testSystem
  ComponentConfigurator_impl.cc
  PassiveComponent.cc
  PassiveTool.cc
  ToolMsgReceiver_impl.cc
  testSystem.cc
)

TARGET_LINK_LIBRARIES( testSystem
  LogServiceIDL
  LogServiceUtils
  LogServiceMonitor
  ${OMNIORB4_LIBRARIES}
)
INSTALL( TARGETS testSystem DESTINATION bin )
