=== src/utils/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

ADD_LIBRARY( LogServiceUtils STATIC
  ORBTools.cc
  LocalTime.cc
)
ADD_DEPENDENCIES( LogServiceUtils
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
TARGET_LINK_LIBRARIES( LogServiceUtils   LogCorba ${OMNIORB4_LIBRARIES} )

set (binary
  ${binary}
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceUtils.dir/ORBTools.cc.o
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/LogServiceUtils.dir/LocalTime.cc.o
  PARENT_SCOPE
  )
