=== src/libraries/LogComponentBaseC++/CMakeLists.txt ===
include_directories(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_SOURCE_DIR}/src/utils         # For e.g. ORBTools.hh
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

add_library( LogServiceComponentBase
  LogComponentBase.cc
  ComponentConfigurator_impl.cc
  PingThread.cc
  FlushBufferThread.cc
  )
add_dependencies( LogServiceComponentBase
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
set_target_properties(LogServiceComponentBase PROPERTIES VERSION ${LOGSERVICE_VERSION})

target_link_libraries( LogServiceComponentBase
  LogForwarderUtils
  ${OMNIORB4_LIBRARIES}
)

install( TARGETS LogServiceComponentBase DESTINATION lib )
install( FILES LogComponentBase.hh
  ComponentConfigurator_impl.hh
  FlushBufferThread.hh
  PingThread.hh
  DESTINATION include )
include(CPack)
