=== src/libraries/LogComponentBaseJava/CMakeLists.txt ===
FILE( GLOB LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB "*.java" )

FOREACH(file ${LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB} )
  INSTALL( FILES ${file} DESTINATION lib/LogServiceComponentBaseJava )
ENDFOREACH(file ${LOGSERVICE_LOGCOMPONENTBASEJAVA_SOURCES_GLOB} )
