=== src/libraries/LogToolBaseC++/CMakeLists.txt ===
include_directories(
  ${OMNIORB4_INCLUDE_DIR}
  ${LOGSERVICE_SOURCE_DIR}/src/utils         # For e.g. ORBTools.hh
  ${LOGSERVICE_BINARY_DIR}/src/idl
)

add_library( LogServiceToolBase LogToolBase.cc)
add_dependencies( LogServiceToolBase
  LOGSERVICE_TARGET_IDL_GENERATED_HEADER_FILES
)
set_target_properties(LogServiceToolBase PROPERTIES VERSION ${LOGSERVICE_VERSION})
target_link_libraries( LogServiceToolBase
  LogForwarderUtils
  ${OMNIORB4_LIBRARIES}
)
install( TARGETS LogServiceToolBase DESTINATION lib )
install( FILES LogToolBase.hh DESTINATION include )
include(CPack)
