=== debian/changelog ===
logservice (2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791194).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:46:18 +0200

logservice (2.7-1) unstable; urgency=low

  * Initial release (Closes: #628656)

 -- Haïkel Guémar <haikel.guemar@sysfera.com>  Wed, 11 May 2011 19:46:18 +0200
