=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install :
	dh_auto_install --fail-missing
	# install daemon configuration file
	install -m 0644 -D  $(CURDIR)/debian/LogCentral.config $(CURDIR)/debian/tmp/etc/LogCentral.cfg
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/DIETtestTool
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/LogCentral
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/logForwarder
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/testComponent
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/libLog*.so.*
